

#ifndef RS232_INCLUDED
#define RS232_INCLUDED

#include "stm32l4xx.h"
#include "utils.h"


void UART1_init(int);
void UART1_stop(void);
void UART1_putch(char);
void UART1_cprintf(const void *);
char UART1_getch(void);
int UART1_read(void *, int);
unsigned int UART1_kbhit(void);
void UART1_print_dec(unsigned char);
void UART1_print_short_dec(unsigned short);
void UART1_print_long_dec(unsigned int);
void UART1_print_signed_long_dec(int);
unsigned int UART1_txbuf_stat(void);
void UART1_flush_txbuf(void);
int UART1_print_hex_lz(unsigned int, int);

void UART1_tx_isr_sub(void);
void UART1_rx_isr_sub(void);

#endif







