
#include "delay.h"


void delay_us(unsigned int val)
{
  unsigned int i;
/*
 * noinline
 * This function attribute prevents a function from being considered for inlining. If the function does not have side effects,
 * there are optimizations other than inlining that cause function calls to be optimized away, although the function call is live.
 * To keep such calls from being optimized away, put:
 */
  asm ("");

#if CPU_HZ == 80000000
  for(i=0; i<val; i++)
  {
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();

    _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
    _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
    _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
    _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
    _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
    _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
    _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
    _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
    _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
  }
#elif CPU_HZ == 32000000
  for(i=0; i<val; i++)
  {
    _NOP();_NOP();_NOP();_NOP();
    _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
    _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
    _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
  }
#elif CPU_HZ == 16384000
  for(i=0; i<val; i++)
  {
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
  }
#elif CPU_HZ == 16000000
  for(i=0; i<val; i++)
  {
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
    _NOP();
  }
#elif CPU_HZ == 8192000
  for(i=0; i<val; i++)
  {
    _NOP();
    _NOP();
    _NOP();
    _NOP();
  }
#elif CPU_HZ == 8000000
  for(i=0; i<val; i++)
  {
    _NOP();
    _NOP();
    _NOP();
    _NOP();
  }
#else
#error "Invalid value for CPU_HZ!"
#endif
}


void delay_ms(int val)
{
  int i, j;

#if CPU_HZ == 8192000
  for(i=0; i<val; i++)
  {
    for(j=0; j<1000; j++)
    {
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
    }
  }
#elif CPU_HZ == 8000000
  for(i=0; i<val; i++)
  {
    for(j=0; j<1000; j++)
    {
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
    }
  }
#elif CPU_HZ == 32000000
  for(i=0; i<val; i++)
  {
    for(j=0; j<1000; j++)
    {
      _NOP();_NOP();_NOP();_NOP();_NOP();
      _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
      _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
      _NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();_NOP();
    }
  }
#elif CPU_HZ == 16384000
  for(i=0; i<val; i++)
  {
    for(j=0; j<1000; j++)
    {
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
    }
  }
#elif CPU_HZ == 16000000
  for(i=0; i<val; i++)
  {
    for(j=0; j<1000; j++)
    {
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
      _NOP();
    }
  }
#elif CPU_HZ == 80000000
  for(i=0; i<val; i++)
  {
    delay_us(1000);
  }
#else
#error "Invalid value for CPU_HZ!"
#endif

/*
 * noinline
 * This function attribute prevents a function from being considered for inlining. If the function does not have side effects,
 * there are optimizations other than inlining that cause function calls to be optimized away, although the function call is live.
 * To keep such calls from being optimized away, put:
 */
  asm ("");
}


void delay_s(int val)
{
  int i;

  for(i=0; i<val; i++)
  {
    delay_ms(1000);
  }
/*
 * noinline
 * This function attribute prevents a function from being considered for inlining. If the function does not have side effects,
 * there are optimizations other than inlining that cause function calls to be optimized away, although the function call is live.
 * To keep such calls from being optimized away, put:
 */
  asm ("");
}








