



#ifndef UTILS_INCLUDED
#define UTILS_INCLUDED

#include "stm32l4xx.h"

#ifndef NULL
#define NULL ((void*)0)
#endif

#define _NOP() __asm__ __volatile__("nop")

#define set_bit(ADDRESS, BIT) (ADDRESS |= (1 << BIT))
#define clear_bit(ADDRESS, BIT) (ADDRESS &= (~(1 << BIT)))
#define test_bit(ADDRESS, BIT) (ADDRESS & (1 << BIT))

#define set_bit_pbb(ADDRESS, BIT) (*(volatile unsigned int *) (PERIPH_BB_BASE + ((((unsigned int)ADDRESS) - PERIPH_BASE) << 5) + ((BIT) << 2)) = 1)
#define clear_bit_pbb(ADDRESS, BIT) (*(volatile unsigned int *) (PERIPH_BB_BASE + ((((unsigned int)ADDRESS) - PERIPH_BASE) << 5) + ((BIT) << 2)) = 0)
#define test_bit_pbb(ADDRESS, BIT) (*(volatile unsigned int *) (PERIPH_BB_BASE + ((((unsigned int)ADDRESS) - PERIPH_BASE) << 5) + ((BIT) << 2)))

#endif








